#ifndef INCLUDED_luxe_utils_JSON
#define INCLUDED_luxe_utils_JSON

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(luxe,utils,JSON)
namespace luxe{
namespace utils{


class HXCPP_CLASS_ATTRIBUTES  JSON_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef JSON_obj OBJ_;
		JSON_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< JSON_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~JSON_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("JSON"); }

		static ::String encode( Dynamic o);
		static Dynamic encode_dyn();

		static Dynamic decode( ::String s,hx::Null< bool >  strict);
		static Dynamic decode_dyn();

		static ::String stringify( Dynamic o);
		static Dynamic stringify_dyn();

		static Dynamic parse( ::String s,hx::Null< bool >  strict);
		static Dynamic parse_dyn();

};

} // end namespace luxe
} // end namespace utils

#endif /* INCLUDED_luxe_utils_JSON */ 
